/****************************************************************************/
/*                                                                          */
/*                            Dump-Fam.rexx                                 */
/*                                                                          */
/* Written by: Ralph L Vinciguerra, 460 Summer Ave, Reading, MA 01867, USA  */
/*                                                                          */
/* $Id: dump-fam.rexx,v 1.1 93/08/31 23:39:49 rlv Exp Locker: rlv $         */
/*                                                                          */
/* Dump the database by family, one line per family.                        */
/*                                                                          */
/****************************************************************************/

options results

MyPort = "SCIONGEN"
Address value MyPort


GETDBNAME
Say "Database name:" result

say "Key:"
say "  FG  = Family Group number"
say "  PRN = Principal of family (typically the father)"
say "  SPS = Spouse of family (typically the mother)"
say ""


GETTOTALFGRN; n = result

Say "Number of families: " n
say ""

say "FG_ PRN SPS Children_________"

do i=1 to n
  str = overlay(i,'___')
  GetPrincipal i ; prn = result
  str = str overlay(prn,'___')
  GetSpouse i ; sps = result
  str = str overlay(sps,'___')
  do j=0 to 10
    GetChild i j ; ch = result
    if (length(ch) = 0) then leave
    str = str ch
  end
  say str
end

exit


