/****************************************************************************/
/*                                                                          */
/*                            Dump-Ind.rexx                                 */
/*                                                                          */
/* Written by: Ralph L Vinciguerra, 460 Summer Ave, Reading, MA 01867, USA  */
/*                                                                          */
/* $Id: dump-ind.rexx,v 1.1 93/08/31 23:39:39 rlv Exp Locker: rlv $         */
/*                                                                          */
/* Dump the database by individual, one line per person. This can be sorted */
/* with the Amiga command: sort from filein to fileout colstart 24          */
/*                                                                          */
/****************************************************************************/

options results

MyPort = "SCIONGEN"
Address value MyPort

GETDBNAME
Say "Database name:" result

say "Key:"
say "  IR  = Individual Record Number"
say "  PFG = Parent's family group number"
say "  MFG = Marriage family group number"
say ""

GETTOTALIRN; n = result

Say "Number of individuals: " n
say ""

say "IR_ PFG MFG Birthdate_ Name_________________"

do i=1 to n
  GetLastName i  ; lastName = result
  GetFirstName i ; firstName = result
  GetBirthdate i ; birthdate = result
  GetParents i   ; pfgn = result
  GetMarriage i 0 ; mfgn = result
  str = overlay(i,"___") overlay(pfgn,"___") overlay(mfgn,"___")
  str = str  overlay(birthdate,"____-__-__") lastName firstName
  Say str
end

exit


